Sympa::HTMLSanitizer(3Sympa)

NAME
Sympa::HTMLSanitizer - Sanitize HTML contents

SYNOPSIS
  $hss = Sympa::HTMLSanitizer->new;

  $sanitized = $hss->sanitize_html($html);
  $sanitized = $hss->sanitize_html_file($file);
  $hss->sanitize_var($variable);

DESCRIPTION
TBD.

  Methods

new ( $robot )
    Constructor. Creates a new Sympa::HTMLSanitizer instance.

    Parameter:

    $robot
        Robot context to determine allowed URL prefix.

    Returns:

    New Sympa::HTMLSanitizer instance.

sanitize_html ( $html )
    Instance method. Returns sanitized version of HTML source.

    Parameter:

    $html
        HTML source.

    Returns:

    Sanitized source.

sanitize_html_file ( $file )
    Instance method. Returns sanitized version of HTML source in the file.

    Parameter:

    $file
        HTML file.

    Returns:

    Sanitized source.

sanitize_var ( $var, [ options... ] )
    Instance method. Sanitize all items in hashref or arrayref recursively.

    TBD.

HISTORY
TBD.